Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class JTextComponent.DropLocation

    java.lang.Object
      javax.swing.TransferHandler.DropLocation
          javax.swing.text.JTextComponent.DropLocation

Enclosing class:
  JTextComponent

    public static final class JTextComponent.DropLocation

extends TransferHandler.DropLocation

Represents a drop location for `JTextComponent`s.

Since:
  1.6
See Also:
  `JTextComponent.getDropLocation()`

Method Summary
`Position.Bias` | `getBias()` Returns the bias for the drop index.
`int` | `getIndex()` Returns the index where dropped data should be inserted into the associated component.
`String` | `toString()` Returns a string representation of this drop location.

Methods inherited from class javax.swing.TransferHandler.DropLocation
`getDropPoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIndex

    public int getIndex()

  Returns the index where dropped data should be inserted into the associated component. This index represents a position between characters, as would be interpreted by a caret.

  Returns:
    the drop index

### getBias

    public Position.Bias getBias()

  Returns the bias for the drop index.

  Returns:
    the drop bias

### toString

    public String toString()

  Returns a string representation of this drop location. This method is intended to be used for debugging purposes, and the content and format of the returned string may vary between implementations.

  Overrides:
    `toString` in class `TransferHandler.DropLocation`
  Returns:
    a string representation of this drop location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.